summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/03-maasdeploy.sh27
1 files changed, 4 insertions, 23 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index 2e26e928..e74de25d 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -269,30 +269,11 @@ enablesubnetanddhcp(){
maas $PROFILE subnet update $SUBNET_CIDR gateway_ip=$MY_GATEWAY || true
maas $PROFILE subnet update $SUBNET_CIDR dns_servers=$MY_NAMESERVER || true
-}
+ #below command will enable the interface with internal-api space.
+
+ SPACEID=$(maas $PROFILE space read internal-api | jq '.id')
+ maas $PROFILE subnet update $SUBNET_CIDR space=$SPACEID || true
-## derived from https://gist.github.com/epiloque/8cf512c6d64641bde388
-## works for arrays of hashes, as long as the hashes do not have arrays
-parse_yaml2() {
- local prefix=$2
- local s
- local w
- local fs
- s='[[:space:]]*'
- w='[a-zA-Z0-9_]*'
- fs="$(echo @|tr @ '\034')"
- sed -ne "s|^\($s\)\($w\)$s:$s\"\(.*\)\"$s\$|\1$fs\2$fs\3|p" \
- -e "s|^\($s\)\($w\)$s[:-]$s\(.*\)$s\$|\1$fs\2$fs\3|p" "$1" |
- awk -F"$fs" '{
- indent = length($1)/2;
- if (length($2) == 0) { conj[indent]="+";} else {conj[indent]="";}
- vname[indent] = $2;
- for (i in vname) {if (i > indent) {delete vname[i]}}
- if (length($3) > 0) {
- vn=""; for (i=0; i<indent; i++) {vn=(vn)(vname[i])("_")}
- printf("%s%s%s%s=(\"%s\")\n", "'"$prefix"'",vn, $2, conj[indent-1],$3);
- }
- }' | sed 's/_=/+=/g'
}
addnodes(){